For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

Create a test study

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/studies/:id/test-study
POST
/api/v1/studies/:id/test-study
$curl -X POST https://api.prolific.com/api/v1/studies/id/test-study \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "study_id": "642f1c4e9b1e8a3f5c7d9b12",
3 "study_url": "https://app.prolific.co/studies/642f1c4e9b1e8a3f5c7d9b12/test"
4}
### Overview - Make sure atleast one test participant is created and exists against the user before hitting this endpoint. - To create test participant: POST /api/v1/researchers/participants/ - Create and publish a test study from a draft study to all the test participants associated with the workspace. - This will allow a data collector to test the study as a participant. ## Prerequisites ✅ **Required:** - At least one active test participant (created via [`POST /api/v1/researchers/participants/`](#)) - Study must be in draft status - Feature enabled for your workspace (contact support if unavailable) ### Enabling the feature This endpoint is only enabled for select workspaces and will need enabling before the endpoint can be used.
Was this page helpful?
Previous

Transition a study's status

Next

Get taskflow progress

Overview

  • Make sure atleast one test participant is created and exists against the user before hitting this endpoint.
    • To create test participant: POST /api/v1/researchers/participants/
  • Create and publish a test study from a draft study to all the test participants associated with the workspace.
  • This will allow a data collector to test the study as a participant.

Prerequisites

✅ Required:

  • At least one active test participant (created via POST /api/v1/researchers/participants/)
  • Study must be in draft status
  • Feature enabled for your workspace (contact support if unavailable)

Enabling the feature

This endpoint is only enabled for select workspaces and will need enabling before the endpoint can be used.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study id

Response

Found
study_idstringformat: "objectId"
The ID of the study that was created for the test.
study_urlstringformat: "uri"
The URL of the study that was created for the test.

Errors

4XX
Client Request Error